APIs / Immoweb / Locations

Immoweb: Locations

Locations from Immoweb as JSON. 1 credit per successful call.

GET /v1/immoweb/locations

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
inputstringRequiredUp to 100 characters
languagestringOptionalnl, fr, en
typesstringOptionalDISTRICT, LOCALITY_NAME, POSTAL_CODE, PROVINCE, REGION, COUNTRY
maxResultsintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/immoweb/locations?input=Gent&language=nl" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.